// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: ValueMultiplySpeed.proto

package ru.omnicomm.pegasus.messaging.data.movement;

public final class ValueMultiplySpeedParser {
  private ValueMultiplySpeedParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public interface ValueMultiplySpeedOrBuilder
      extends com.google.protobuf.MessageOrBuilder {
    
    // optional int64 sourceId = 1;
    boolean hasSourceId();
    long getSourceId();
    
    // required int64 messageType = 2;
    boolean hasMessageType();
    long getMessageType();
    
    // optional int32 messageTime = 3;
    boolean hasMessageTime();
    int getMessageTime();
    
    // optional int64 timeStamp = 5;
    boolean hasTimeStamp();
    long getTimeStamp();
    
    // optional int32 messageBlock = 6;
    boolean hasMessageBlock();
    int getMessageBlock();
    
    // optional bool valid = 130 [default = true];
    boolean hasValid();
    boolean getValid();
    
    // repeated double doubleValue = 204 [packed = true];
    java.util.List<java.lang.Double> getDoubleValueList();
    int getDoubleValueCount();
    double getDoubleValue(int index);
  }
  public static final class ValueMultiplySpeed extends
      com.google.protobuf.GeneratedMessage
      implements ValueMultiplySpeedOrBuilder {
    // Use ValueMultiplySpeed.newBuilder() to construct.
    private ValueMultiplySpeed(Builder builder) {
      super(builder);
    }
    private ValueMultiplySpeed(boolean noInit) {}
    
    private static final ValueMultiplySpeed defaultInstance;
    public static ValueMultiplySpeed getDefaultInstance() {
      return defaultInstance;
    }
    
    public ValueMultiplySpeed getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.internal_static_ru_omnicomm_pegasus_messaging_data_movement_ValueMultiplySpeed_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.internal_static_ru_omnicomm_pegasus_messaging_data_movement_ValueMultiplySpeed_fieldAccessorTable;
    }
    
    private int bitField0_;
    // optional int64 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private long sourceId_;
    public boolean hasSourceId() {
      return ((bitField0_ & 0x00000001) == 0x00000001);
    }
    public long getSourceId() {
      return sourceId_;
    }
    
    // required int64 messageType = 2;
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private long messageType_;
    public boolean hasMessageType() {
      return ((bitField0_ & 0x00000002) == 0x00000002);
    }
    public long getMessageType() {
      return messageType_;
    }
    
    // optional int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private int messageTime_;
    public boolean hasMessageTime() {
      return ((bitField0_ & 0x00000004) == 0x00000004);
    }
    public int getMessageTime() {
      return messageTime_;
    }
    
    // optional int64 timeStamp = 5;
    public static final int TIMESTAMP_FIELD_NUMBER = 5;
    private long timeStamp_;
    public boolean hasTimeStamp() {
      return ((bitField0_ & 0x00000008) == 0x00000008);
    }
    public long getTimeStamp() {
      return timeStamp_;
    }
    
    // optional int32 messageBlock = 6;
    public static final int MESSAGEBLOCK_FIELD_NUMBER = 6;
    private int messageBlock_;
    public boolean hasMessageBlock() {
      return ((bitField0_ & 0x00000010) == 0x00000010);
    }
    public int getMessageBlock() {
      return messageBlock_;
    }
    
    // optional bool valid = 130 [default = true];
    public static final int VALID_FIELD_NUMBER = 130;
    private boolean valid_;
    public boolean hasValid() {
      return ((bitField0_ & 0x00000020) == 0x00000020);
    }
    public boolean getValid() {
      return valid_;
    }
    
    // repeated double doubleValue = 204 [packed = true];
    public static final int DOUBLEVALUE_FIELD_NUMBER = 204;
    private java.util.List<java.lang.Double> doubleValue_;
    public java.util.List<java.lang.Double>
        getDoubleValueList() {
      return doubleValue_;
    }
    public int getDoubleValueCount() {
      return doubleValue_.size();
    }
    public double getDoubleValue(int index) {
      return doubleValue_.get(index);
    }
    private int doubleValueMemoizedSerializedSize = -1;
    
    private void initFields() {
      sourceId_ = 0L;
      messageType_ = 0L;
      messageTime_ = 0;
      timeStamp_ = 0L;
      messageBlock_ = 0;
      valid_ = true;
      doubleValue_ = java.util.Collections.emptyList();;
    }
    private byte memoizedIsInitialized = -1;
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized != -1) return isInitialized == 1;
      
      if (!hasMessageType()) {
        memoizedIsInitialized = 0;
        return false;
      }
      memoizedIsInitialized = 1;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (((bitField0_ & 0x00000001) == 0x00000001)) {
        output.writeInt64(1, sourceId_);
      }
      if (((bitField0_ & 0x00000002) == 0x00000002)) {
        output.writeInt64(2, messageType_);
      }
      if (((bitField0_ & 0x00000004) == 0x00000004)) {
        output.writeInt32(3, messageTime_);
      }
      if (((bitField0_ & 0x00000008) == 0x00000008)) {
        output.writeInt64(5, timeStamp_);
      }
      if (((bitField0_ & 0x00000010) == 0x00000010)) {
        output.writeInt32(6, messageBlock_);
      }
      if (((bitField0_ & 0x00000020) == 0x00000020)) {
        output.writeBool(130, valid_);
      }
      if (getDoubleValueList().size() > 0) {
        output.writeRawVarint32(1634);
        output.writeRawVarint32(doubleValueMemoizedSerializedSize);
      }
      for (int i = 0; i < doubleValue_.size(); i++) {
        output.writeDoubleNoTag(doubleValue_.get(i));
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (((bitField0_ & 0x00000001) == 0x00000001)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(1, sourceId_);
      }
      if (((bitField0_ & 0x00000002) == 0x00000002)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(2, messageType_);
      }
      if (((bitField0_ & 0x00000004) == 0x00000004)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, messageTime_);
      }
      if (((bitField0_ & 0x00000008) == 0x00000008)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt64Size(5, timeStamp_);
      }
      if (((bitField0_ & 0x00000010) == 0x00000010)) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(6, messageBlock_);
      }
      if (((bitField0_ & 0x00000020) == 0x00000020)) {
        size += com.google.protobuf.CodedOutputStream
          .computeBoolSize(130, valid_);
      }
      {
        int dataSize = 0;
        dataSize = 8 * getDoubleValueList().size();
        size += dataSize;
        if (!getDoubleValueList().isEmpty()) {
          size += 2;
          size += com.google.protobuf.CodedOutputStream
              .computeInt32SizeNoTag(dataSize);
        }
        doubleValueMemoizedSerializedSize = dataSize;
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    private static final long serialVersionUID = 0L;
    @java.lang.Override
    protected java.lang.Object writeReplace()
        throws java.io.ObjectStreamException {
      return super.writeReplace();
    }
    
    public static ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder>
       implements ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeedOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.internal_static_ru_omnicomm_pegasus_messaging_data_movement_ValueMultiplySpeed_descriptor;
      }
      
      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.internal_static_ru_omnicomm_pegasus_messaging_data_movement_ValueMultiplySpeed_fieldAccessorTable;
      }
      
      // Construct using ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }
      
      private Builder(BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
        }
      }
      private static Builder create() {
        return new Builder();
      }
      
      public Builder clear() {
        super.clear();
        sourceId_ = 0L;
        bitField0_ = (bitField0_ & ~0x00000001);
        messageType_ = 0L;
        bitField0_ = (bitField0_ & ~0x00000002);
        messageTime_ = 0;
        bitField0_ = (bitField0_ & ~0x00000004);
        timeStamp_ = 0L;
        bitField0_ = (bitField0_ & ~0x00000008);
        messageBlock_ = 0;
        bitField0_ = (bitField0_ & ~0x00000010);
        valid_ = true;
        bitField0_ = (bitField0_ & ~0x00000020);
        doubleValue_ = java.util.Collections.emptyList();;
        bitField0_ = (bitField0_ & ~0x00000040);
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(buildPartial());
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed.getDefaultInstance();
      }
      
      public ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed build() {
        ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }
      
      private ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return result;
      }
      
      public ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed buildPartial() {
        ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed result = new ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed(this);
        int from_bitField0_ = bitField0_;
        int to_bitField0_ = 0;
        if (((from_bitField0_ & 0x00000001) == 0x00000001)) {
          to_bitField0_ |= 0x00000001;
        }
        result.sourceId_ = sourceId_;
        if (((from_bitField0_ & 0x00000002) == 0x00000002)) {
          to_bitField0_ |= 0x00000002;
        }
        result.messageType_ = messageType_;
        if (((from_bitField0_ & 0x00000004) == 0x00000004)) {
          to_bitField0_ |= 0x00000004;
        }
        result.messageTime_ = messageTime_;
        if (((from_bitField0_ & 0x00000008) == 0x00000008)) {
          to_bitField0_ |= 0x00000008;
        }
        result.timeStamp_ = timeStamp_;
        if (((from_bitField0_ & 0x00000010) == 0x00000010)) {
          to_bitField0_ |= 0x00000010;
        }
        result.messageBlock_ = messageBlock_;
        if (((from_bitField0_ & 0x00000020) == 0x00000020)) {
          to_bitField0_ |= 0x00000020;
        }
        result.valid_ = valid_;
        if (((bitField0_ & 0x00000040) == 0x00000040)) {
          doubleValue_ = java.util.Collections.unmodifiableList(doubleValue_);
          bitField0_ = (bitField0_ & ~0x00000040);
        }
        result.doubleValue_ = doubleValue_;
        result.bitField0_ = to_bitField0_;
        onBuilt();
        return result;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed other) {
        if (other == ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasTimeStamp()) {
          setTimeStamp(other.getTimeStamp());
        }
        if (other.hasMessageBlock()) {
          setMessageBlock(other.getMessageBlock());
        }
        if (other.hasValid()) {
          setValid(other.getValid());
        }
        if (!other.doubleValue_.isEmpty()) {
          if (doubleValue_.isEmpty()) {
            doubleValue_ = other.doubleValue_;
            bitField0_ = (bitField0_ & ~0x00000040);
          } else {
            ensureDoubleValueIsMutable();
            doubleValue_.addAll(other.doubleValue_);
          }
          onChanged();
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public final boolean isInitialized() {
        if (!hasMessageType()) {
          
          return false;
        }
        return true;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              onChanged();
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                onChanged();
                return this;
              }
              break;
            }
            case 8: {
              bitField0_ |= 0x00000001;
              sourceId_ = input.readInt64();
              break;
            }
            case 16: {
              bitField0_ |= 0x00000002;
              messageType_ = input.readInt64();
              break;
            }
            case 24: {
              bitField0_ |= 0x00000004;
              messageTime_ = input.readInt32();
              break;
            }
            case 40: {
              bitField0_ |= 0x00000008;
              timeStamp_ = input.readInt64();
              break;
            }
            case 48: {
              bitField0_ |= 0x00000010;
              messageBlock_ = input.readInt32();
              break;
            }
            case 1040: {
              bitField0_ |= 0x00000020;
              valid_ = input.readBool();
              break;
            }
            case 1633: {
              ensureDoubleValueIsMutable();
              doubleValue_.add(input.readDouble());
              break;
            }
            case 1634: {
              int length = input.readRawVarint32();
              int limit = input.pushLimit(length);
              while (input.getBytesUntilLimit() > 0) {
                addDoubleValue(input.readDouble());
              }
              input.popLimit(limit);
              break;
            }
          }
        }
      }
      
      private int bitField0_;
      
      // optional int64 sourceId = 1;
      private long sourceId_ ;
      public boolean hasSourceId() {
        return ((bitField0_ & 0x00000001) == 0x00000001);
      }
      public long getSourceId() {
        return sourceId_;
      }
      public Builder setSourceId(long value) {
        bitField0_ |= 0x00000001;
        sourceId_ = value;
        onChanged();
        return this;
      }
      public Builder clearSourceId() {
        bitField0_ = (bitField0_ & ~0x00000001);
        sourceId_ = 0L;
        onChanged();
        return this;
      }
      
      // required int64 messageType = 2;
      private long messageType_ ;
      public boolean hasMessageType() {
        return ((bitField0_ & 0x00000002) == 0x00000002);
      }
      public long getMessageType() {
        return messageType_;
      }
      public Builder setMessageType(long value) {
        bitField0_ |= 0x00000002;
        messageType_ = value;
        onChanged();
        return this;
      }
      public Builder clearMessageType() {
        bitField0_ = (bitField0_ & ~0x00000002);
        messageType_ = 0L;
        onChanged();
        return this;
      }
      
      // optional int32 messageTime = 3;
      private int messageTime_ ;
      public boolean hasMessageTime() {
        return ((bitField0_ & 0x00000004) == 0x00000004);
      }
      public int getMessageTime() {
        return messageTime_;
      }
      public Builder setMessageTime(int value) {
        bitField0_ |= 0x00000004;
        messageTime_ = value;
        onChanged();
        return this;
      }
      public Builder clearMessageTime() {
        bitField0_ = (bitField0_ & ~0x00000004);
        messageTime_ = 0;
        onChanged();
        return this;
      }
      
      // optional int64 timeStamp = 5;
      private long timeStamp_ ;
      public boolean hasTimeStamp() {
        return ((bitField0_ & 0x00000008) == 0x00000008);
      }
      public long getTimeStamp() {
        return timeStamp_;
      }
      public Builder setTimeStamp(long value) {
        bitField0_ |= 0x00000008;
        timeStamp_ = value;
        onChanged();
        return this;
      }
      public Builder clearTimeStamp() {
        bitField0_ = (bitField0_ & ~0x00000008);
        timeStamp_ = 0L;
        onChanged();
        return this;
      }
      
      // optional int32 messageBlock = 6;
      private int messageBlock_ ;
      public boolean hasMessageBlock() {
        return ((bitField0_ & 0x00000010) == 0x00000010);
      }
      public int getMessageBlock() {
        return messageBlock_;
      }
      public Builder setMessageBlock(int value) {
        bitField0_ |= 0x00000010;
        messageBlock_ = value;
        onChanged();
        return this;
      }
      public Builder clearMessageBlock() {
        bitField0_ = (bitField0_ & ~0x00000010);
        messageBlock_ = 0;
        onChanged();
        return this;
      }
      
      // optional bool valid = 130 [default = true];
      private boolean valid_ = true;
      public boolean hasValid() {
        return ((bitField0_ & 0x00000020) == 0x00000020);
      }
      public boolean getValid() {
        return valid_;
      }
      public Builder setValid(boolean value) {
        bitField0_ |= 0x00000020;
        valid_ = value;
        onChanged();
        return this;
      }
      public Builder clearValid() {
        bitField0_ = (bitField0_ & ~0x00000020);
        valid_ = true;
        onChanged();
        return this;
      }
      
      // repeated double doubleValue = 204 [packed = true];
      private java.util.List<java.lang.Double> doubleValue_ = java.util.Collections.emptyList();;
      private void ensureDoubleValueIsMutable() {
        if (!((bitField0_ & 0x00000040) == 0x00000040)) {
          doubleValue_ = new java.util.ArrayList<java.lang.Double>(doubleValue_);
          bitField0_ |= 0x00000040;
         }
      }
      public java.util.List<java.lang.Double>
          getDoubleValueList() {
        return java.util.Collections.unmodifiableList(doubleValue_);
      }
      public int getDoubleValueCount() {
        return doubleValue_.size();
      }
      public double getDoubleValue(int index) {
        return doubleValue_.get(index);
      }
      public Builder setDoubleValue(
          int index, double value) {
        ensureDoubleValueIsMutable();
        doubleValue_.set(index, value);
        onChanged();
        return this;
      }
      public Builder addDoubleValue(double value) {
        ensureDoubleValueIsMutable();
        doubleValue_.add(value);
        onChanged();
        return this;
      }
      public Builder addAllDoubleValue(
          java.lang.Iterable<? extends java.lang.Double> values) {
        ensureDoubleValueIsMutable();
        super.addAll(values, doubleValue_);
        onChanged();
        return this;
      }
      public Builder clearDoubleValue() {
        doubleValue_ = java.util.Collections.emptyList();;
        bitField0_ = (bitField0_ & ~0x00000040);
        onChanged();
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeed)
    }
    
    static {
      defaultInstance = new ValueMultiplySpeed(true);
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeed)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_data_movement_ValueMultiplySpeed_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_data_movement_ValueMultiplySpeed_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\030ValueMultiplySpeed.proto\022+ru.omnicomm." +
      "pegasus.messaging.data.movement\"\251\001\n\022Valu" +
      "eMultiplySpeed\022\020\n\010sourceId\030\001 \001(\003\022\023\n\013mess" +
      "ageType\030\002 \002(\003\022\023\n\013messageTime\030\003 \001(\005\022\021\n\tti" +
      "meStamp\030\005 \001(\003\022\024\n\014messageBlock\030\006 \001(\005\022\024\n\005v" +
      "alid\030\202\001 \001(\010:\004true\022\030\n\013doubleValue\030\314\001 \003(\001B" +
      "\002\020\001BG\n+ru.omnicomm.pegasus.messaging.dat" +
      "a.movementB\030ValueMultiplySpeedParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_data_movement_ValueMultiplySpeed_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_data_movement_ValueMultiplySpeed_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_data_movement_ValueMultiplySpeed_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "TimeStamp", "MessageBlock", "Valid", "DoubleValue", },
              ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed.class,
              ru.omnicomm.pegasus.messaging.data.movement.ValueMultiplySpeedParser.ValueMultiplySpeed.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  // @@protoc_insertion_point(outer_class_scope)
}
